#pragma once

#include "GameObject.h"

/*! @brief Clase Door.
*			Crea una puerta.
*
* Las puertas permiten a nuestro protagonista avanzar por las diferentes
* salas o "rooms"(estas son invisibles y se encuentran en los lmites de la sala).
*/
class Door : public GameObject {
private:
	bool volt;/**< Booleano, sirve para voltear de horizontal a vertical o viceversa. */
public:
	Door(float x, float y, ALLEGRO_BITMAP *image, bool volt);
	void Render();
	void Collided(int objectID);
};