#include "Room2.h"
//Room0 solo tiene entrada arriba. vease Begin.png
Room2::Room2(ALLEGRO_BITMAP *image, Player *p, int Type) :Room(image, p, velX) {
	prota = p;
	type = Type;
	has_enemy = false;
	down = new Door(320, 460, al_load_bitmap("imagenes/Objetos/door1.png"), false);
	if (type == 0) {
		block0 = new Wall(325, 230, al_load_bitmap("imagenes/Objetos/tree.png"), prota, Wall::ARBOL);
		spawn.push_back(block0);
		npc0 = new NPC(prota, al_load_bitmap("imagenes/Sprites/scout.png"), 200, 100, 5, 0, new Texto("Textos/hola.txt"));
		spawn.push_back(npc0);
		e0 = new Enemy(prota, al_load_bitmap("imagenes/Sprites/rat.png"), 550, 200, 0, 0);
		spawn.push_back(e0);
	}

}
//260 -375
void Room2::boundary(int num) {
	if (prota->GetY() < 95 && num == 0) {
		prota->SetY(95);
	}
	else if (prota->GetY() > 360 && num == 1) {
		if (prota->GetX() > 260 && prota->GetX() < 375) {}
		else { prota->SetY(360); }
	}
	else if (prota->GetX() < 75 && num == 2) {
		prota->SetX(75);
	}
	else if (prota->GetX() > 565 && num == 3) {
		prota->SetX(565);
	}
	else if (prota->GetY() > 360) {
		if (prota->GetX() < 270 && prota->GetX() > 260 && num == 2) { prota->SetX(270); }
		else if (prota->GetX() > 370 && prota->GetX() < 380 && num == 3) { prota->SetX(370); }
	}
	if (type == 0) {
		if (block0->CheckCollisions(prota)) {
			block0->boundary(prota);
		}
		if (npc0->CheckCollisions(prota)) {
			npc0->boundary(num);
		}
		if (e0->CheckCollisions(block0)) {
			block0->boundary(e0);
		}

	}
}

void Room2::Render() {
	al_draw_bitmap(image, x, y, 0);
	for (iter = spawn.begin(); iter != spawn.end(); iter++)
		(*iter)->Render();
}

void Room2::Update() {
	for (iter = spawn.begin(); iter != spawn.end();) {
		(*iter)->Update();
		if (!(*iter)->GetAlive()) {
			(*iter)->Destroy();
			delete(*iter);
			iter = spawn.erase(iter);
		}
		else { iter++; }
	}
	if (type == 0) {
		if (prota->CheckCollisions(down)) {
			prota->Collided(down->GetID());
			prota->setRoom(1);
			prota->setSet(1);
			prota->setType_Room(0);
		}
		list_Collided(spawn, prota);
		list_Collided(prota->ammo, e0);
	}

	if (prota->getLife() <= 0) {
		prota->setRoom(1);
		prota->setSet(1);
		prota->setType_Room(0);
	}
}

void Room2::Destroy() {
	for (iter = spawn.begin(); iter != spawn.end(); iter++) {
		(*iter)->Destroy();
		delete(*iter);
	}
	delete(down);
}
