#pragma once

#include "Room.h"

/*! @brief Clase Room5.
*			Sala de estructura 5.
*
* Sala con entrada en la izquierda y en la derecha.
*/
class Room5 : public Room {
public:
	Room5(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Door *left;/**< Puntero a la puerta izquierda. */
	Door *right;/**< Puntero a la puerta derecha. */
	NPC *npc0;/**< Puntero a un NPC. */
	Enemy *e0;/**< Puntero a un enemigo. */
};