#pragma once

#include "Room.h"

/*! @brief Clase Room7.
*			Sala de estructura 7.
*
* Sala con entrada a la izquierda y abajo.
*/
class Room7 : public Room {
public:
	Room7(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Door *left;/**< Puntero a la puerta izquierda. */
	Door *down;/**< Puntero a la puerta de abajo. */
	NPC *npc0;/**< Puntero a un NPC. */
};