#include "Texto.h"

Texto::Texto(char * path){
	lineas = 0;
	font = al_load_ttf_font("fuentes/arial.ttf", 20, 0);
	file = al_fopen(path, "r");
	read();
}
/*! @brief Metodo Read.
*			Lee el archivo.
*
* Lee el archivo para obtener la cantidad de lineas escritas.
*/
void Texto::read(){
	while (!al_feof(file)) {
		al_fgets(file, linea[lineas], 50);
		lineas++;
	}
	al_fclose(file);
}
/*! @brief Metodo Print.
*			Dibuja texto.
*
* Imprime las primeras 4 lineas del archivo de texto.
*/
void Texto::print(){
	al_draw_text(font, al_map_rgb(0, 0, 0), 320, 320, ALLEGRO_ALIGN_CENTRE, linea[0]);
	al_draw_text(font, al_map_rgb(0, 0, 0), 320, 350, ALLEGRO_ALIGN_CENTRE, linea[1]);
	al_draw_text(font, al_map_rgb(0, 0, 0), 320, 380, ALLEGRO_ALIGN_CENTRE, linea[2]);
	al_draw_text(font, al_map_rgb(0, 0, 0), 320, 410, ALLEGRO_ALIGN_CENTRE, linea[3]);

}

void Texto::destroy(){
	al_destroy_font(font);
}
