#pragma once

#include "GameObject.h"

/*! @brief Clase Background.
*			Imagen de fondo.
*
* Permite crear un objeto, que contiene una imagen la cual se dibuja en el fondo
* de la pantalla, puede moverse(fondo no esttico).
*/
class Background : public GameObject{

public:
	Background(ALLEGRO_BITMAP *image, float velX);
	void Destroy();
	virtual void boundary(int num);
	void Update();
	void Render();
};