#pragma once

#include "Enemy.h"

/*! @brief Clase Boss1.
*			Primer jefe.
*
*
* Enemigo con caracteristicas nicas, primer jefe del juego.
*/
class Boss1 : public Enemy {
private:
	char *name;/**< Cadena de caracteres, nombre del personaje. */
	Wall *dead = NULL;/**< Puntero a objeto Wall, tumba. */
	Wall *lf = NULL;/**< Puntero a objeto Wall, bloque con una imagen que acompaa la vida restante. */
	Key *key1 = NULL;/**< Puntero a objeto Key, llave arrojada al morir. */
public:
	Boss1(Player *p, ALLEGRO_BITMAP *image, int x_, int y_, int Posicion);
	void Init(ALLEGRO_BITMAP *image = NULL);
	void Update();
	void Render();

	int getLife() { return life; }
	Wall *getTomb() { return dead; }

	void Collided(int objectID);
	void Destroy();
};
