#pragma once

#include "GameObject.h"

/*! @brief Clase Bullet.
*			Crea balas.
*
* Las balas son creadas al accionar el botn de disparo o tambin son disparadas por enemigos.
*/
class Bullet : public GameObject{

public:
	Bullet(float x, float y, int position);
	void Destroy();

	void Update();
	void Render();

	void Collided(int objectID);
};