#include "Gun.h"

Gun::Gun(float x, float y, ALLEGRO_BITMAP * image) {
	GameObject::Init(x, y, 0, 0, 0, 0, 20, 14);
	al_convert_mask_to_alpha(image, al_map_rgb(255, 255, 255));
	SetID(GUN);

	Gun::image = image;
}

void Gun::Render(){
	al_draw_bitmap(image, x, y, 0);
}

void Gun::Collided(int objectID){
	if (objectID == PLAYER) {
		SetAlive(false);
	}
}

