#pragma once

#include "Room.h"
#include "Boss3.h"

/*! @brief Clase Room10.
*			Sala de estructura 10.
*
* Sala con entrada a la derecha.
*/
class Room10 : public Room {
public:
	Room10(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Door *right;/**< Puntero a la puerta derecha. */
	NPC *npc0;/**< Puntero a un NPC. */
	Boss3 *boss3;/**< Puntero a un jefe. */
};