#pragma once
#include "Room.h"

/*! @brief Clase Room2.
*			Sala de estructura 2.
*
* Sala con entrada abajo.
*/
class Room2 : public Room {
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Enemy *e0;/**< Puntero a un enemigo. */
	Door *down;/**< Puntero a puerta de abajo. */
	NPC *npc0;/**< Puntero a un NPC. */
public:
	Room2(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
};
