#include "Room5.h"

Room5::Room5(ALLEGRO_BITMAP *image, Player *p, int Type) :Room(image, p, velX) {
	prota = p;
	type = Type;
	has_enemy = false;
	left = new Door(20, 230, al_load_bitmap("imagenes/Objetos/door1.png"), true);
	right = new Door(620, 230, al_load_bitmap("imagenes/Objetos/door1_volt.png"), true);
	if (type == 0) {
		e0 = new Enemy(prota, al_load_bitmap("imagenes/Sprites/rat.png"), 320, 200, 0, 0);
		spawn.push_back(e0);
	}

}
//260 -375
void Room5::boundary(int num) {
	if (prota->GetY() < 95 && num == 0) {
		prota->SetY(95);
	}
	else if (prota->GetY() > 360 && num == 1) {
		prota->SetY(360);
	}
	else if (prota->GetX() < 75 && num == 2) {
		if (prota->GetY() > 180 && prota->GetY() < 270) {}
		else { prota->SetX(75); }
	}
	else if (prota->GetX() > 565 && num == 3) {
		if (prota->GetY() > 180 && prota->GetY() < 270) {}
		else { prota->SetX(565); }
	}
	else if (prota->GetX() < 75) {
		if (prota->GetY() < 180 + CACHO && prota->GetY() > 160 && num == 0) { prota->SetY(180 + CACHO); }
		else if (prota->GetY() > 270 - CACHO && prota->GetY() < 280 && num == 1) { prota->SetY(270 - CACHO); }
	}
	else if (prota->GetX() > 570) {
		if (prota->GetY() < 180 + CACHO && prota->GetY() > 160 && num == 0) { prota->SetY(180 + CACHO); }
		else if (prota->GetY() > 270 - CACHO && prota->GetY() < 280 && num == 1) { prota->SetY(270 - CACHO); }
	}
	if (type == 0) {

	}
}

void Room5::Render() {
	al_draw_bitmap(image, x, y, 0);
	for (iter = spawn.begin(); iter != spawn.end(); iter++)
		(*iter)->Render();
}

void Room5::Update() {
	for (iter = spawn.begin(); iter != spawn.end();) {
		(*iter)->Update();
		if (!(*iter)->GetAlive()) {
			(*iter)->Destroy();
			delete(*iter);
			iter = spawn.erase(iter);
		}
		else { iter++; }
	}
	if (type == 0) {
		if (prota->CheckCollisions(left)) {
			prota->Collided(left->GetID());
			prota->setSet(2);
			prota->setRoom(4);
			prota->setType_Room(0);
		}
		if (prota->CheckCollisions(right)) {
			prota->Collided(right->GetID());
			prota->setSet(3);
			prota->setRoom(6);
			prota->setType_Room(0);
		}
		list_Collided(spawn, prota);
		list_Collided(prota->ammo, e0);

		if (prota->getLife() <= 0) {
			prota->setRoom(4);
			prota->setSet(2);
			prota->setType_Room(0);
		}
	}
}

void Room5::Destroy() {
	delete(left);
	delete(right);
	for (iter = spawn.begin(); iter != spawn.end(); iter++) {
		(*iter)->Destroy();
		delete(*iter);
	}
}


