#include "Room8.h"

Room8::Room8(ALLEGRO_BITMAP *image, Player *p, int Type) :Room(image, p, velX) {
	prota = p;
	type = Type;
	has_enemy = false;
	up = new Door(320, 20, al_load_bitmap("imagenes/Objetos/door1.png"), false);
	left = new Door(20, 230, al_load_bitmap("imagenes/Objetos/door1_volt.png"), true);

}
//260 -375
void Room8::boundary(int num) {
	if (prota->GetY() < 95 && num == 0) {
		if (prota->GetX() > 260 && prota->GetX() < 375) {}
		else { prota->SetY(95); }
	}
	else if (prota->GetY() > 360 && num == 1) {
		prota->SetY(360);
	}
	else if (prota->GetX() < 75 && num == 2) {
		if (prota->GetY() > 180 && prota->GetY() < 270) {}
		else { prota->SetX(75); }
	}
	else if (prota->GetX() > 565 && num == 3) {
		prota->SetX(565);
	}
	else if (prota->GetY() < 95 - CACHO) {
		if (prota->GetX() < 270 && prota->GetX() > 260 && num == 2) { prota->SetX(270); }
		else if (prota->GetX() > 370 && prota->GetX() < 380 && num == 3) { prota->SetX(370); }
	}
	else if (prota->GetX() < 75) {
		if (prota->GetY() < 180 + CACHO && prota->GetY() > 160 && num == 0) { prota->SetY(180 + CACHO); }
		else if (prota->GetY() > 270 - CACHO && prota->GetY() < 280 && num == 1) { prota->SetY(270 - CACHO); }
	}

	if (type == 0) {

	}
}

void Room8::Render() {
	al_draw_bitmap(image, x, y, 0);
	for (iter = spawn.begin(); iter != spawn.end(); iter++)
		(*iter)->Render();
}

void Room8::Update() {
	for (iter = spawn.begin(); iter != spawn.end();) {
		(*iter)->Update();
		if (!(*iter)->GetAlive()) {
			(*iter)->Destroy();
			delete(*iter);
			iter = spawn.erase(iter);
		}
		else { iter++; }
	}
	if (type == 0) {
		if (prota->CheckCollisions(up)) {
			prota->Collided(up->GetID());
			prota->setSet(0);
			prota->setRoom(7);
			prota->setType_Room(0);
		}
		else if (prota->CheckCollisions(left)) {
			prota->Collided(left->GetID());
			prota->setSet(2);
			prota->setRoom(9);
			prota->setType_Room(0);
		}
	}
}

void Room8::Destroy() {
	delete(up);
	delete(left);
	for (iter = spawn.begin(); iter != spawn.end(); iter++) {
		(*iter)->Destroy();
		delete(*iter);
	}
}